Subject: Re: Support for alpha?
From: [email-masked] (Jim Balter)

15 Mar 1997 00:04:14 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Stephen Williams <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

Stephen Williams wrote:
> 
> [email-masked] said:
> > There's a lot of machine-specific stuff in the compiler and other
> > bintools, and there's a little bit in the library, such as setjmp and
> > exception handling.
> 
> The alpha is already supported as a target by gcc, there seem to be
> config files in gcc-2.7.2 for alpha-unknown-winnt. Also, the Linux/alpha
> uses the GNU compiler (and I use Linux/alpha) so there is certainly a
> working gnu compiler for alpha.

Sorry, I didn't mean to imply otherwise.  I was referring only to
issues of Windows NT on alpha.  There may be config files, but
it isn't clear if they are functional (and Cygnus, as usual, is
rather silent on this mailing list).

> binutils also has the requisite stuff for the alpha. I use the GNU toolchain
> all the time for native and cross compiles on the alpha. It's there.

There for Linux, but does it handle Windows binaries and executables?

> Someone just has to go through the effort of getting the non-compiler parts
> ported to the alpha. This would be the cygwin DLL, etc. It's that sort of
> thing that I'm not sure is easy to resolve.

There's very little of such.

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".